<template>
    <div style="margin: 0; width: 100%; height: 100%">
        <div class="bg"></div>
        <div class="bg bg2"></div>
        <div class="bg bg3"></div>
    </div>
</template>

<script setup lang="ts">
</script>

<style scoped>
@media (min-width: 1024px) {
  .bg {
  animation:slide 4s ease-in-out infinite alternate;
  background-image: linear-gradient(-60deg, var(--night) 50%, var(--prime) 50%);
  bottom:0;
  left:-50%;
  opacity:.5;
  position:fixed;
  right:-50%;
  top:0;
  z-index:-1;
}

.bg2 {
  animation-direction:alternate-reverse;
  animation-duration:5s;
}

.bg3 {
  animation-duration:6s;
}
@keyframes slide {
  0% {
    transform:translateX(-25%);
  }
  100% {
    transform:translateX(25%);
  }
}
}
</style>